<script lang="ts">
  import { Card } from 'flowbite-svelte';
  import Fa from 'svelte-fa';
  import { faRoute, faUserAstronaut, faBookAtlas } from '@fortawesome/free-solid-svg-icons';
  import rocketImg from '$lib/assets/img/rocket-trail.svg';
  import TypeWriter from '$lib/effects/TypeWriter.svelte';

  const landingCards = [
    {
      icon: faUserAstronaut,
      title: 'Explore the map!',
      flavorText: 'Visually navigate competition space',
      link: '/proxi-play'
    },
    {
      icon: faRoute,
      title: 'Find your path!',
      flavorText: 'Find your first or next competition',
      link: '/pathways'
    },
    {
      icon: faBookAtlas,
      title: 'See the full list!',
      flavorText: 'Search & filter all the competitions',
      link: '/competitions'
    }
  ];
</script>

<div class="flex items-center w-full h-full">
  <div class="flex flex-col w-full h-full">
    <TypeWriter
      class="pt-5 px-10 font-mono text-center text-yellow-300 text-3xl"
      phrase="Welcome to the CAE Cyber Competitions Atlas. Happy exploring!" />
    <div class="flex flex-wrap items-center justify-center lg:flex-row gap-5 p-10 mx-auto lg:mt-10 mb-auto container">
      {#each landingCards as entry}
        <div class="landing-card">
          <Card class="lg:max-w-80 max-w-full" size="xl" padding="xl">
            <a
              class="flex flex-col justify-center items-center text-3xl text-gray-900 dark:text-white"
              href={entry.link}>
              <Fa icon={entry.icon} size="3x" />
              <div class="flex flex-col">
                <p>{entry.title}</p>
                <p class="text-sm">{entry.flavorText}</p>
              </div>
            </a>
          </Card>
        </div>
      {/each}
    </div>
  </div>
  <div class="star-bg w-full h-full">
    <div class="flex flex-col w-full h-full items-start justify-start">
      <div class="flex-grow h-2/3 lg:h-1/2 w-full" />
      <div class="flex-row h-1/3 lg:h-1/2 pr-20">
        <img src={rocketImg} alt="rocket" />
        <div class="pr-20" />
      </div>
    </div>
    <div class="stars w-full h-full" />
  </div>
</div>

<style>
  .landing-card {
    transition: 0.1s;
  }
  .landing-card:hover {
    transform: scale(1.05);
  }
</style>
